{pkgs, ...}: 
{
  wayland.windowManager.hyprland.enable = true;
  programs.kitty.enable = true;

  wayland.windowManager.hyprland.settings = {
    "$mod" = "SUPER";
    bind =
      [
        "$mod, F, exec, firefox"
        "$mod, enter, exec, kitty"
        "$mod, shift, enter, exec, alacritty"
        "$mod, shift, q, kill"
        "$mod, s, exec, code"
      ];
  };
  wayland.windowManager.hyprland.plugins = [
    inputs.hyprland-plugins.packages.${pkgs.stdenv.hostPlatform.system}.hyprbars
    inputs.hyprland-plugins.packages.${pkgs.stdenv.hostPlatform.system}.hyprmenu
    # Touch gestures: https://github.com/horriblename/hyprgrass
    inputs.hyprland-plugins.packages.${pkgs.stdenv.hostPlatform.system}.hyprgrass
    # Virtual desktops: https://github.com/levnikmyskin/hyprland-virtual-desktops
    inputs.hyprland-plugins.packages.${pkgs.stdenv.hostPlatform.system}.hyprland-virtual-desktops
  ];
}
